Bug 1141896 - Review Request: cadvisor - Analyzes resource usage and performance characteristics of running containers
Summary: Review Request: cadvisor - Analyzes resource usage and performance characteri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1122176
TreeView+ depends on / blocked
 
Reported: 2014-09-15 16:48 UTC by Jan Chaloupka
Modified: 2015-05-26 03:44 UTC (History)
3 users (show)

Fixed In Version: cadvisor-0.13.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-19 13:23:24 UTC
Type: Bug
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Volker Fröhlich 2014-09-16 06:39:12 UTC
Please add the summary and description to your review request, see http://fedoraproject.org/wiki/Package_Review_Process

Comment 2 Jan Chaloupka 2014-09-16 12:19:18 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/cadvisor/cadvisor.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/cadvisor/cadvisor-0.3.0-0.2.git9d158c3d.fc21.src.rpm

Description: Analyzes resource usage and performance characteristics of running containers

$ rpmlint /root/rpmbuild/SRPMS/cadvisor-0.3.0-0.2.git9d158c3d.fc21.src.rpm /root/rpmbuild/RPMS/x86_64/cadvisor-0.3.0-0.2.git9d158c3d.fc21.x86_64.rpm /root/rpmbuild/RPMS/x86_64/cadvisor-devel-0.3.0-0.2.git9d158c3d.fc21.x86_64.rpm cadvisor.spec 
cadvisor.src: W: spelling-error %description -l en_US lmctfy 
cadvisor.src: W: spelling-error %description -l en_US libcontainer -> lib container, lib-container, containerize
cadvisor.src: W: spelling-error %description -l en_US execdriver -> exec driver, exec-driver, cabdriver
cadvisor.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
cadvisor.src: W: spelling-error %description -l en_US lmctfy's -> olfactory's
cadvisor.src: W: invalid-license ASL2.0
cadvisor.src:114: W: rpm-buildroot-usage %build export GOPATH=$(pwd)/_build:%{buildroot}%{gopath}:%{gopath}
cadvisor.x86_64: W: spelling-error %description -l en_US lmctfy 
cadvisor.x86_64: W: spelling-error %description -l en_US libcontainer -> lib container, lib-container, containerize
cadvisor.x86_64: W: spelling-error %description -l en_US execdriver -> exec driver, exec-driver, cabdriver
cadvisor.x86_64: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
cadvisor.x86_64: W: spelling-error %description -l en_US lmctfy's -> olfactory's
cadvisor.x86_64: W: invalid-license ASL2.0
cadvisor.x86_64: W: unstripped-binary-or-object /usr/bin/cadvisor
cadvisor.x86_64: E: non-readable /etc/sysconfig/cadvisor 0660L
cadvisor.x86_64: W: no-manual-page-for-binary cadvisor
cadvisor-devel.x86_64: W: spelling-error %description -l en_US lmctfy 
cadvisor-devel.x86_64: W: spelling-error %description -l en_US execdriver -> exec driver, exec-driver, cabdriver
cadvisor-devel.x86_64: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
cadvisor-devel.x86_64: W: spelling-error %description -l en_US lmctfy's -> olfactory's
cadvisor-devel.x86_64: W: invalid-license ASL2.0
cadvisor.spec:114: W: rpm-buildroot-usage %build export GOPATH=$(pwd)/_build:%{buildroot}%{gopath}:%{gopath}
3 packages and 1 specfiles checked; 1 errors, 21 warnings.

Initial commit by Adam Miller, continued by Eric Paris

Koji: Unfortunatelly, this build depends on more bzs. If needed, please build locally. On my machine (x86_64), it builds sucesfully.

Comment 3 Jan Chaloupka 2014-09-19 18:18:29 UTC
Changes applied

Spec URL: https://jchaloup.fedorapeople.org/reviews/cadvisor/cadvisor.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/cadvisor/cadvisor-0.3.0-0.3.git9d158c3.fc21.src.rpm

Koji: when all packages cadvisor depends on are in koji, right local build succesfull

Comment 4 Lokesh Mandvekar 2014-09-19 18:29:32 UTC
Specfile complies with existing golang packaging draft guidelines. I'll approve this and we can go ahead with scm request, but please post a URL to a successful koji build once all deps are in koji/buildroot-override before pushing this to dist-git :)

Comment 5 Jan Chaloupka 2014-09-29 08:58:55 UTC
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7717404

Comment 6 Jan Chaloupka 2014-09-29 09:01:06 UTC
New Package SCM Request
=======================
Package Name: cadvisor
Short Description: Analyzes resource usage and performance characteristics of running containers
Upstream URL: https://github.com/google/cadvisor
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 7 Gwyn Ciesla 2014-09-29 12:14:01 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-10-09 18:59:08 UTC
cadvisor-0.3.0-0.4.git9d158c3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cadvisor-0.3.0-0.4.git9d158c3.fc20

Comment 9 Fedora Update System 2014-10-09 19:03:22 UTC
cadvisor-0.3.0-0.4.git9d158c3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.3.0-0.4.git9d158c3.fc21

Comment 10 Fedora Update System 2014-10-11 06:54:33 UTC
cadvisor-0.3.0-0.4.git9d158c3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-10-19 13:23:24 UTC
cadvisor-0.3.0-0.4.git9d158c3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-11-01 16:58:36 UTC
cadvisor-0.3.0-0.4.git9d158c3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-12-16 16:51:17 UTC
cadvisor-0.6.2-0.1.git89088df.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cadvisor-0.6.2-0.1.git89088df.fc20

Comment 14 Fedora Update System 2014-12-16 16:52:06 UTC
cadvisor-0.6.2-0.1.git89088df.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.6.2-0.1.git89088df.fc21

Comment 15 Fedora Update System 2015-01-03 19:00:47 UTC
cadvisor-0.6.2-0.1.git89088df.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-01-03 19:06:42 UTC
cadvisor-0.6.2-0.1.git89088df.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-03-28 11:11:08 UTC
cadvisor-0.6.2-0.3.git89088df.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cadvisor-0.6.2-0.3.git89088df.fc22

Comment 18 Fedora Update System 2015-03-28 11:12:30 UTC
cadvisor-0.6.2-0.3.git89088df.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.6.2-0.3.git89088df.fc21

Comment 19 Fedora Update System 2015-04-01 13:12:00 UTC
cadvisor-0.10.1-0.1.gitef7dddf.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cadvisor-0.10.1-0.1.gitef7dddf.fc22

Comment 20 Fedora Update System 2015-04-01 13:12:25 UTC
cadvisor-0.10.1-0.1.gitef7dddf.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.10.1-0.1.gitef7dddf.fc21

Comment 21 Fedora Update System 2015-04-09 15:13:42 UTC
cadvisor-0.10.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cadvisor-0.10.1-2.fc22

Comment 22 Fedora Update System 2015-04-09 15:14:11 UTC
cadvisor-0.10.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.10.1-2.fc21

Comment 23 Fedora Update System 2015-05-08 22:13:14 UTC
cadvisor-0.13.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cadvisor-0.13.0-1.fc22

Comment 24 Fedora Update System 2015-05-08 22:14:14 UTC
cadvisor-0.13.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.13.0-1.fc21

Comment 25 Fedora Update System 2015-05-19 16:23:10 UTC
cadvisor-0.13.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-05-26 03:44:04 UTC
cadvisor-0.13.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.